(function (modules, runtime) {
    var installedModules = {};
    var installedChunks = {
        main: 0,
    };

    function __webpack_require__(moduleId) {
        if (installedModules[moduleId]) {
            return installedModules[moduleId].exports;
        }

        var module = installedModules[moduleId] = {
            i: moduleId, // 表示模块ID
            l: false, // 表示是否加载
            exports: {},
        }

        modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
        module.l = true;
        return module.exports;
    }

    __webpack_require__.e = function (chunkId) {
        return new Promise(function (resolve, reject) {
            installedChunks[chunkId] = resolve;
            var script = document.createElement('script');
            script.src = chunkId;
            document.body.appendChild(script);
        })
    }

    __webpack_require__.t = function (moduleId) {
        var value = __webpack_require__(moduleId);
        return {
            default: value,
        }
    }

    this.webpackJsonp = function (chunkId, moreModules) {
        for (var moduleId in moreModules) {
            modules[moduleId] = moreModules[moduleId];
        }
        installedChunks[chunkId]();
        installedChunks[chunkId] = 0;
    }

    function startUp(){
        __webpack_require__('<%-entry%>');
    }
    startUp();
})(
    {
    <% for( var moduleId in modules){%>
    '<%-moduleId%>':(function(module,exports,__webpack_require__){
        <%-modules[moduleId]%>
    }),
    <%}%>
    }
);